program normalize

implicit none

integer :: i, ngll, j, ngll_points
integer, parameter :: N_MAX = 20, N_MAX_ITER = 10000

real :: xp, zp, xmin, xmax,x,z,value, dist
character (len=20) :: file_1, file_2,a
character (len=23) :: file_3
read (*,*) xp, zp
read (*,*) file_1
read (*,*) file_2

open (11, file=file_1)
open (12, file=file_2)


read(11,*) a
do_ngll : do i = 1, N_MAX
   read (11,*) a
   if (a == ">>") exit do_ngll
enddo do_ngll

ngll_points = i-1 

xmin = 0; 
xmax = 0
close (11)
print *, ngll_points
open (11, file=file_1)
read (11,*) 
read (12,*)
write(13,"(a2)") ">>"
write(14,"(a2)") ">>"
do i = 1, N_MAX_ITER
  do j = 1, ngll_points
     read (11,*,end=80) x,z,value
     dist = sqrt ((x-xp)**2+(z-zp)**2)
     if (x< xp) dist = -dist
     if (dist> xmax) xmax = dist
     if (dist< xmin) xmin = dist
     write (13,*) dist, value
     read (12,*) x,z,value
     write (14,*) dist, value
  enddo
  write(13,"(a2)") ">>"
  write(14,"(a2)") ">>"
  read (11,*, end=80) 
  read (12,*)
enddo
80 continue

write (24,*) xmin
write (24,*) xmax


stop

end program normalize

