 module ssubdomains
! Gaetano Festa 18/10/2004

type Subdomain

integer :: NGLLx, NGLLz,  n_loc_dim, wpml, npow

real :: Pspeed, Sspeed, Ddensity, DT, DLambda, DMu, Apow, freq, k
real, dimension (:), pointer :: GLLcx, GLLpolx, GLLwx
real, dimension (:,:), pointer :: hprimex, hTprimex
real, dimension (:), pointer :: GLLcz, GLLpolz, GLLwz
real, dimension (:,:), pointer :: hprimez, hTprimez

logical :: Filtering, Px, Pz, Left, Down

character(len=1) :: material_type

end type

contains

subroutine Lame_coefficients (S)

type (Subdomain) :: S

S%DMu = S%Sspeed**2 * S%Ddensity
S%DLambda = (S%Pspeed**2 - 2 * S%Sspeed **2 ) * S%Ddensity 

end subroutine

end module ssubdomains
