# The shell plots both slip velocity and traction

ls slip_v.????? > index
sed 's/[\.]0/ 0/' index > index_aus
rm -f index
awk '{print $2}' index_aus > index
rm -f index_aus

set orig = "slip_v."
set orig_2 = "traction."   

echo
echo 'Define the minimum and the maximum values....'
set pm=($<)
set pM=($<)
echo

echo
echo 'Define rotating point which will be the zero of the reference (x and z coord.)'
set Xp=($<)
set Zp=($<)
echo

echo
echo 'Define minimum and maximum for the slip velocity  -R'
set Smin=($<)
set Smax=($<)
echo

echo
echo 'Define minimum and maximum for the traction  -R'
set Tmin=($<)
set Tmax=($<)
echo

set i = $pm
while ($i<$pM)
  set ip = $i"p"
  set fin = `sed -n $ip index`
  set data2_fin = $orig$fin
  set data3_fin = $orig_2$fin
  
  echo $Xp $Zp > input_file
  echo $data2_fin >> input_file
  echo $data3_fin >> input_file

  normalize  < input_file
  
  set xmin = `sed -n 1p fort.24`
  set xmax = `sed -n 2p fort.24`
  set fina = $data2_fin".ps"
  psxy fort.13 -JX9 -R$xmin/$xmax/$Smin/$Smax -M -W1p/255/0/0 -B> $fina
  
  set fina = $data3_fin".ps"
  psxy fort.14 -JX9 -R$xmin/$xmax/$Tmin/$Tmax -M -W1p/0/0/255 -B > $fina
  
  mv -f fort.13 $data2_fin
  mv -f fort.14 $data3_fin
  
@ i++
end
