module sdomain

! Modified by Gaetano 12/10/05

use selement
use sfaces
use svertices
use ssources
use stimeparam
use logical_input
use ssubdomains
use sreceivers
use sfaults

type :: domain

integer :: n_elem, n_face, n_vertex, n_source,n_dime,n_glob_nodes, n_line ,n_receivers
integer :: n_nodes, n_mat,n_glob_points, n_super_object, n_fault, n_communications
integer, dimension (:), pointer :: Line_index, Communication_list

real, dimension (:,:), pointer :: Coord_nodes, GlobCoord
real, dimension(:,:,:), pointer :: Store_Trace

character (len=30) :: Title_simulation, mesh_file, station_file, material_file
character (len=1), dimension (:), pointer ::  Name_Line, Super_object_type
character (len=30), dimension (:), pointer :: Super_object_file

logical :: any_PML

type (time) :: TimeD
type (logical_array) :: logicD
type(element), dimension(:), pointer :: specel
type(face), dimension (:), pointer :: sface
type (vertex), dimension (:), pointer :: svertex
type (source), dimension (:), pointer :: sSource
type (subdomain), dimension (:), pointer :: sSubDomain
type (receiver), dimension (:), pointer :: sReceiver
type (fault), dimension (:), pointer :: sFault

end type

end module sdomain
